com.massivecraft.factions.listeners

## Class FactionsBlockListener

- java.lang.Object
- - com.massivecraft.factions.listeners.FactionsBlockListener

- All Implemented Interfaces:
    org.bukkit.event.Listener

      public class FactionsBlockListener
      extends java.lang.Object
      implements org.bukkit.event.Listener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `P` | `p`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FactionsBlockListener(P p)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onBlockBreak(org.bukkit.event.block.BlockBreakEvent event)`
    `void` | `onBlockDamage(org.bukkit.event.block.BlockDamageEvent event)`
    `void` | `onBlockFromTo(org.bukkit.event.block.BlockFromToEvent event)`
    `void` | `onBlockPistonExtend(org.bukkit.event.block.BlockPistonExtendEvent event)`
    `void` | `onBlockPistonRetract(org.bukkit.event.block.BlockPistonRetractEvent event)`
    `void` | `onBlockPlace(org.bukkit.event.block.BlockPlaceEvent event)`
    `void` | `onFrostWalker(org.bukkit.event.block.EntityBlockFormEvent event)`
    `void` | `onHopperPlace(org.bukkit.event.block.BlockPlaceEvent e)`
    `void` | `onVaultPlace(org.bukkit.event.block.BlockPlaceEvent e)`
    `static boolean` | `playerCanBuildDestroyBlock(org.bukkit.entity.Player player, org.bukkit.Location location, java.lang.String action, boolean justCheck)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### p

          public P p

  - ### Constructor Detail

    - #### FactionsBlockListener

          public FactionsBlockListener(P p)

  - ### Method Detail

    - #### onBlockPlace

          public void onBlockPlace(org.bukkit.event.block.BlockPlaceEvent event)

    - #### onBlockFromTo

          public void onBlockFromTo(org.bukkit.event.block.BlockFromToEvent event)

    - #### onBlockBreak

          public void onBlockBreak(org.bukkit.event.block.BlockBreakEvent event)

    - #### onBlockDamage

          public void onBlockDamage(org.bukkit.event.block.BlockDamageEvent event)

    - #### onBlockPistonExtend

          public void onBlockPistonExtend(org.bukkit.event.block.BlockPistonExtendEvent event)

    - #### onVaultPlace

          public void onVaultPlace(org.bukkit.event.block.BlockPlaceEvent e)

    - #### onHopperPlace

          public void onHopperPlace(org.bukkit.event.block.BlockPlaceEvent e)

    - #### onBlockPistonRetract

          public void onBlockPistonRetract(org.bukkit.event.block.BlockPistonRetractEvent event)

    - #### onFrostWalker

          public void onFrostWalker(org.bukkit.event.block.EntityBlockFormEvent event)

    - #### playerCanBuildDestroyBlock

          public static boolean playerCanBuildDestroyBlock(org.bukkit.entity.Player player,
                                                           org.bukkit.Location location,
                                                           java.lang.String action,
                                                           boolean justCheck)